import { http, Method } from '@/utils/request';
import storage from "@/utils/storage.js";
const userInfo = storage.getUserInfo()
/**
 * 获取商品列表
 * @param {Object} params - 查询参数
 * @returns {Promise} - 返回任务列表
 */
export function getMallList(params) {
  return http.request({
    url: '/base/mall/list',
    method: Method.GET,
    params: params,
	needToken: true
  });
}


/**
 * 根据ID获取商品详细信息
 * @param {id} params - 查询参数
 * @returns {Promise} - 返回任务详情
*/
export function getMallById(id) {
  return http.request({
    url: `/base/mall/${id}`,
    method: Method.GET,
	needToken: true
  });
}